QGIS Application - Bug report #1681
QgsVectorFileWriter isn't case sensitive
2009-05-06 02:04 PM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No
Operating System: All Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 11741
Description

[[QgsVectorFileWriter]] allows to create case sensitive fields like 'foo' and 'FOQ' in one table, but values of both attributes are written to
the first case-insensitively-found field:

1. Create a new layer with two attributes like 'foo’ and 'Foo’ and add some features
2. Save it as a new layer: menu Layer -> Save as shapefile

3. The new layer's table contains corrupted data

It also doesn't respect the field width - see also #1664

History

#1 - 2009-07-11 06:54 AM - Giovanni Manghi

Still a issue on ggis 1.2 from trunk

#2 - 2009-07-30 02:18 PM - Jiirgen Fischer
- Resolution set to fixed
- Status changed from Open to Closed

fixed in commit:16b91c6b (SVN r11219)
